summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/scripts/ast_coredumper13
-rwxr-xr-xcontrib/scripts/install_prereq24
2 files changed, 22 insertions, 15 deletions
diff --git a/contrib/scripts/ast_coredumper b/contrib/scripts/ast_coredumper
index e5fc44eb3..9b01a4239 100755
--- a/contrib/scripts/ast_coredumper
+++ b/contrib/scripts/ast_coredumper
@@ -17,6 +17,7 @@ SYNOPSIS
[ --tarball-results ] [ --delete-results-after ]
[ --tarball-uniqueid="<uniqueid>" ]
[ --no-default-search ] [ --append-coredumps ]
+ [ --asterisk-bin="path" ]
[ <coredump> | <pattern> ... ]
DESCRIPTION
@@ -102,6 +103,10 @@ DESCRIPTION
Append any coredumps specified on the command line to the
config file specified ones instead of overriding them.
+ --asterisk-binary
+ Path to the asterisk binary. Default: look for asterisk
+ in the PATH.
+
<coredump> | <pattern>
A list of coredumps or coredump search patterns. Unless
--append-coredumps was specified, these entries will override
@@ -267,6 +272,9 @@ for a in "$@" ; do
--tarball-uniqueid=*)
tarball_uniqueid=${a#*=}
;;
+ --asterisk-bin=*)
+ asterisk_bin=${a#*=}
+ ;;
--help|-*)
print_help
;;
@@ -368,7 +376,10 @@ tail -n +${ss} $0 >/tmp/.ast_coredumper.gdbinit
for i in ${!COREDUMPS[@]} ; do
cf=${COREDUMPS[$i]}
echo "Processing $cf"
- ${GDB} -n --batch -q --ex "source /tmp/.ast_coredumper.gdbinit" $(which asterisk) "$cf" 2>/dev/null | (
+ if [ -z "$asterisk_bin" ]; then
+ asterisk_bin=$(which asterisk)
+ fi
+ ${GDB} -n --batch -q --ex "source /tmp/.ast_coredumper.gdbinit" "$asterisk_bin" "$cf" 2>/dev/null | (
of=/dev/null
while IFS= read line ; do
if [[ "$line" =~ !@!@!@!\ ([^\ ]+)\ !@!@!@! ]] ; then
diff --git a/contrib/scripts/install_prereq b/contrib/scripts/install_prereq
index d69f5527a..c4b91f6f8 100755
--- a/contrib/scripts/install_prereq
+++ b/contrib/scripts/install_prereq
@@ -165,22 +165,18 @@ install_unpackaged() {
/sbin/ldconfig
fi
- # Only install libsrtp if it wasn't installed via package
+ # Only install libsrtp2 if it wasn't installed via package
if ! test -f /usr/include/srtp/srtp.h; then
- echo "*** Installing libsrtp ***"
- if [ ! -d libsrtp ]; then
- git clone https://github.com/cisco/libsrtp.git
- cd libsrtp
- else
- cd libsrtp
- git pull
+ if ! test -f /usr/include/srtp2/srtp.h; then
+ echo "*** Installing libsrtp2 ***"
+ wget -O - http://github.com/cisco/libsrtp/archive/v2.tar.gz | zcat | tar -xf -
+ cd libsrtp-2
+ ./configure --enable-openssl
+ make shared_library uninstall install
+ cd ..
+ echo "/usr/local/lib" > /etc/ld.so.conf.d/usr_local.conf
+ /sbin/ldconfig
fi
- git checkout "1_5_x_throttle"
- ./configure --disable-debug --disable-stdout --enable-openssl
- make shared_library uninstall install
- cd ..
- echo "/usr/local/lib" > /etc/ld.so.conf.d/usr_local.conf
- /sbin/ldconfig
fi
# Only install pjproject if it wasn't installed via package